#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	lime
Version		:	5.2.76
Release		:	14.8.0.0%{?dist}
Summary		:	LIME is an end-to-end encryption library f

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://gitlab.linphone.org/BC/public/lime
 

Source0		:	%{name}-%{version}.tar.gz
patch0		:	%{name}-%{version}-cmakedir.patch

#-----------------------------------------------------------------------------
BuildRequires	:	bctoolbox-devel
BuildRequires	:	bctoolbox-tester
BuildRequires	:	belle-sip-devel
BuildRequires	:	soci-devel
BuildRequires	:	soci-sqlite3-devel
#-----------------------------------------------------------------------------
%description
LIME is an end-to-end encryption library for one-to-one and
group instant messaging, allowing users to exchange messages
privately and asynchronously. It uses modern ciphering curve
X448 and double ratchet algorithm for perfect forward secrecy.

LIME is composed of a portable client library coupled with a
public key server developed by Belledonne Communications to
allow end-to-end encryption for messaging, without having to
exchange cryptographic keys simultaneously.

The library exposes a C, C++, Python and Java API for easy
integration in mobile and desktop environments.

LIME supports multiple devices per user and multiple users
per device.
#-----------------------------------------------------------------------------
%files			
%doc AUTHORS.md README.md
%license LICENSE.txt
%defattr(-,root,root,-)
%{_libdir}/lib%{name}.so.0

#=============================================================================
%package		devel
Summary		:	Development libraries for lime
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
Libraries and headers required to develop software
with lime.

#-----------------------------------------------------------------------------
%files			devel
%doc AUTHORS.md README.md
%license LICENSE.txt
%defattr(-,root,root,-)
%{_includedir}/%{name}/%{name}.hpp
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}/*.cmake

#=============================================================================
%package		tester
Summary		:	tester libraries for lime
	
#-----------------------------------------------------------------------------
Requires	:	%{name}-devel		= %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tester
binary and config file required to test software with lime.

#-----------------------------------------------------------------------------
%files			tester
%defattr(-,root,root,-)
%{_bindir}/%{name}_tester
%{_datadir}/%{name}_tester/data/*.sqlite3
%{_datadir}/%{name}_tester/data/*.pem

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1

#-----------------------------------------------------------------------------
#building application
%build

cmake							\
	.						\
	-D CMAKE_INSTALL_PREFIX:PATH=%{_prefix} 	\
	-D CMAKE_INSTALL_LIBDIR:PATH=%{_libdir} 	\
	-D CMAKE_SKIP_INSTALL_RPATH=ON 			\
	-D ENABLE_STATIC=OFF				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
